package com.jz.dmp.modules.service;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.bean.DmpProjectBatch;
import com.jz.dmp.modules.controller.bean.DmpProjectDto;
import com.jz.dmp.modules.controller.bean.DmpProjectRequest;
import com.jz.dmp.modules.model.DmpProject;


/**
 * 项目信息服务接口
 * @author ybz
 *
 */
public interface DmpProjectService {
	
	/**条件分頁查询所有项目信息
	 * @param dmpProjectRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpProjectDto> findListWithPage(DmpProjectRequest dmpProjectRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除项目信息
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**新增项目信息
	 * @param dmpProject
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProject> add(DmpProject dmpProject, HttpServletRequest httpRequest)throws Exception;


}
